class CreateSpeechBalloonTemplates < ActiveRecord::Migration
  def change
    create_table :speech_balloon_templates do |t|
      t.string :name, :null => false, :limit => 50
      t.string :classname, :null => false, :limit => 50
      t.string :caption, :null => false, :limit => 30
      t.integer :t, :null => false, :default => 0
      t.string :settings, :null => false

      t.timestamps
    end
    add_index :speech_balloon_templates, [:name], :unique => true, :name => 'speech_balloon_templates_name'
    add_index :speech_balloon_templates, [:t], :unique => true, :name => 'speech_balloon_templates_t'
  end
end
