#フキダシテンプレートを作るサポートツール
if ARGV.size < 2
  puts "sbt_helper.rb -Ku input.json output.json [work dir=input dir]"
  exit
end
require 'json'
require 'base64'

inputfile = ARGV[0]
wd = ARGV[2] ? File.expand_path(ARGV[2]) : File.dirname(inputfile)
outputfile = wd + '/' + ARGV[1]

puts "#{inputfile} to #{outputfile}"
def replace_system_picture attr, wd
  attr.each do |name, value|
    if value.is_a? Hash
      if value['system_picture_file']
        fn = File.expand_path(wd + '/' + value['system_picture_file'])
        puts 'open system picture file ' + fn
        d = File.open(fn, 'rb').read
        b = Base64.encode64(d).gsub(/\r/, '').gsub(/\n/, '')
        value['system_picture_id'] = {"text" => b}
        value.delete 'system_picture_file'
      end
      replace_system_picture value, wd
    end
  end
end

json = JSON.parse(open(inputfile).read)
replace_system_picture json, wd

puts "generating " + outputfile
File.open(outputfile, 'w') do |f|
  f.write json.to_json.to_s
end
